.TH scavenger 6 "" "XScavenger 1.4.4" "X11 Games"
.SH SYNOPSIS
.nf
.fam C
\fBscavenger\fP
.fam T
.fi
.SH GAME PLAY
Scavenger is like Lode Runner. You've got to run around gathering objects
while avoiding enemies. You can dig down through some of the blocks to get
at buried objects. After you've collected everything, ladders may appear.
To finish the level you've got to exit through the top of the screen. If
an enemy falls into a dug brick, he is stunned for a while. If the brick
fills in with him in it, he is killed, and he will reappear at the top of
the screen.
.PP
This version has a level editor for designing your own levels, and a
graphics editor for drawing your own artwork.
.SH GAME CONTROLS
The default control is with the number pad keys 4-9:
.PP
.nf
.fam C
  Dig left     Move up     Dig right
      7           8           9
      4           5           6
  Move left   Move down    Move right

.fam T
.fi
As of version 1.3 you can remap the controls. In demo mode hit space
to get to the menu, then hit F10 to remap the keys. For each key if you
hit escape the key is unchanged.
.TP
.B
F8
Skip to next level
.TP
.B
k
Kill player (useful if he's trapped)
.TP
.B
ESC
Exit back to demo mode
Pause Pause game
.SH DEMO MODE
The game starts up in demo mode, where the game is playing on its own.
Some keys do things:
.TP
.B
F1
Start game at first unsolved level.
.TP
.B
F2
Enter animator.
.TP
.B
F3
Enter level editor.
.TP
.B
F4
Start game at level 1.
.TP
.B
F8
Skip to next demo level.
Alt-X Exit game.
Space Go to a menu listing the above things.
.SH MENU MODE
In the menu you get the option to change your player name with F5.
.TP
.B
F5
Change player name.
The F8 key doesn't do anything in the menu, it only works while the game
is demoing. I just put it there for informative purposes.
.SH ANIMATOR MODE
The color table will switch all around, don't be surprised.
The animator is a lot like Dpaint.
.TP
.B
b
Pick up brush. Click somewhere in the blowup and drag an area.
.TP
.B
Shift-b
Go back to last brush.
.TP
.B
x
Flip brush in x, or flip square if no brush in hand.
.TP
.B
y
Flib brush in y, or flip square if no brush in hand.
.TP
.B
z
Rotate brush 90 degrees, or rotate square if no brush in hand.
.TP
.B
Period (.)
Go to having a single point brush of the current color.
.TP
.B
[
Select previous color.
.TP
.B
]
Select next color.
.TP
.B
,
Pick a color-\fB-click\fP somewhere in the blowup to use the same color
as another one you see. Shorthand for this is clicking left or
right mouse button on the large color boxes under the icons on
the center right.
.TP
.B
Alt-1
Select the background artwork to work on.
.TP
.B
Alt-2
Select the hero artwork to work on.
.TP
.B
Alt-3
Select the enemy artwork to work on.
.TP
.B
Alt-4
Select the hidden enemy artwork to work on.
.TP
.B
u
Undo.
.TP
.B
f
Area fill mode.
.TP
.B
d
Draw mode.
.TP
.B
v
Vector mode.
.TP
.B
r
Rectangle mode.
.TP
.B
ESC
Exit back to demo mode.
.TP
.B
Shift-S
Save out file.
.TP
.B
Shift-L
Load in last saved file.
.TP
.B
-
Go to smaller built in brush.
.TP
.B
= (+)
Go to larger built in brush.
.PP
Draw in the blowup box. Clicking the left mouse button draws with the
primary color (indicated by the square in the color map). The right mouse
button paints with the secondary color. Change the primary by clicking
the left mouse button on the color array, and change the secondary by
clicking the right mouse button on the color array.
.PP
Select which box to work on with the left mouse button, just click on
the box.
.PP
Copy on box to another by using the right mouse button and a click-drag-
unclick operation.
.PP
Change the color table by moving the RGB sliders. It is sometimes useful to
change the background color (normally the black in the upper left of the
color array) to something besides black. You will be able to see other
animation frames that are normally hidden, such as the dig animation.
.SH EDITOR MODE
This is for creating your own levels.
.TP
.B
l
load level (use alt-l to force a load)
.TP
.B
w
write level (use alt-w to force a write)
.TP
.B
space
Try the level
.TP
.B
esc
exit back to demo mode
rightarrow Increase level #
.TP
.B
leftarrow
Decrease level #
.TP
.B
`1234567890-=
Select matching tile type
.PP
Left mouse button draws with current tile type. Right mouse button erases.
.PP
You can start writing new levels at 181 if you don't want to write over
existing levels.
.PP
The order of the tiles from left to right is:
Empty
.TP
.B
brick
Your hero can dig these
.TP
.B
cement
These can't be dug
Ladder
Rail
.TP
.B
Fakebrick
You fall through this. The enemies think it's a normal brick.
exitladder These appear after the last object has been collected.
.TP
.B
Object
The hero must collect these.
.TP
.B
Enemy
You can have 0 to 5 of these
.TP
.B
Hero
Only 1 of these
.TP
.B
Hidden
This is a place where a hidden monster might be if you dig there.
.TP
.B
Flashing
This object is more valuable if you collect it first.
.RE
.PP
.SH SCORING AND MOVIES
You've got infinite lives to complete each level, but after each failed
attempt you start all over. Each level has its own best score. If you beat
the level's previous best score, or if the level hasn't been solved before,
a recording of your play will be stored in the \fC$HOME/.scavenger/level.scl\fP
file. It's fun to watch the movies play back in demo mode. Remember F8 will
let you skip levels in demo mode.
.IP \(bu 3
Each object is worth 250 points.
.IP \(bu 3
The flashing object is worth 8000 points, but you've got to get it first.
.IP \(bu 3
If you exit the level without trapping any monsters (the hidden monster
doesn't count), you get a bonus of 20000 points.
.IP \(bu 3
If you exit the level without killing any monsters (the hidden monster
doesn't count), you get a bonus of 10000 points. You don't get both
large bunuses together.
.IP \(bu 3
The time bonus starts at 10000 points and counts down about 100 points
every second.
.IP \(bu 3
The hidden monster carries an object that is worth 10000 points. Trap him
to get it. Trapping and killing the hidden monster doesn't harm your bonus--
the whole idea is to find him and kill him.
.RE
.PP
.SH LEVEL DESIGN
The hidden monsters are an interesting addition. Try to locate them where it
won't hurt the player. You don't want the player to accidentally find a
hidden monster while trying to dig a pit for an enemy to fall into.
.PP
The flashing object adds some more variety. Sometimes it's tricky to get
to the flashing object.
.PP
Enemies can pick up normal objects temporarily, but not the flashing object.
.PP
Writing out a level deletes the matching movie, if there is one.
.SH THE SCAVRC FILE
The \fC$HOME/.scavenger/scavrc\fP file contains the XWindows key mappings.
You can edit this file to change the mappings, but you've got to know
the keycode. Each item is in hex.
.PP
The \fCscavrc\fP file can also be used to create alternate graphics sets. The names:
.IP \(bu 3
background
.IP \(bu 3
hero
.IP \(bu 3
enemy
.IP \(bu 3
hidden
.PP
point to .lbm graphics format names. If you want to see other graphics
sets, point these to other ones. If you want to create your own graphics
sets, make a copy of an existing one and put it into your
\fC$HOME/.scavenger\fP directory. You might want to rename it also, but keep the
.lbm suffix for future uses. Then change the \fCscavrc\fP file to point to your
new filename. Don't include any path, \fBscavenger\fP looks for the file first
in the LIBNAME (see Imakefile & names.h) then in \fC$HOME/.scavenger\fP.
.PP
There is also an entry for slowing the game down:
.PP
.nf
.fam C
        slowdown=#

.fam T
.fi
where # is 0-4.
.PP
.nf
.fam C
        slowdown=0  ; normal
        slowdown=1  ; 7/8 speed
        slowdown=2  ; 3/4   "
        slowdown=3  ; 1/2   "
        slowdown=4  ; 1/4   "

.fam T
.fi
.SH WHAT TO DO IF YOU LIKE THIS GAME
If you like this game, here's what to do:
.IP 1) 4
If you have contributed something useful to the Linux community, you
can use Scavenger for free!
.IP 2) 4
If you are more of a user but money is tight, you can use Scavenger
for free!
.IP 3) 4
If you're a user but can afford it, you might consider sending me some
money to help me continue to make games for Linux/Xwindows. Maybe send
me $10 or $20 US cash? Or anything you can spare. Thanks!
.IP 4) 4
If you create any levels, send them to me!!!!!
.IP 5) 4
If you create any artwork, send it to me!!!!!
.PP
This is a full working version of the game, not crippled in any way. You've
even got the source to the game. Also all 180 levels are included. I've
put a lot of work into it\.\.\. it would be nice to get some kind of reward
for it.
.SH AUTHOR
Scavenger and the README and DOC files were written by David Ashley.
You can contact me at \fCdash@xdr.com\fP or \fChttp://www.xdr.com/dash/\fP.
.PP
The X Scavenger home page is at
\fChttp://www.linuxmotors.com/\fP.
You can always get the latest version there.
.PP
This is my first linux/xwindows contribution so please be patient with
me. Send me \fBANY\fP and all comments you have, please! I love to get feedback.
.SH COPYING
Let's put it under the GNU license, shall we?
.SH DISCLAIMER
USE THIS AT YOUR OWN RISK!!!! I'm not responsible for any damage this
software may cause.
